/* this is based on the dummy_pci lkm module found in
 * the NetBSD:sys/lkm/dev/pci directory
 */
#include <sys/param.h>
#include <sys/systm.h>
#include <sys/kernel.h>
#include <sys/device.h>
#include <sys/lkm.h>

/* autoconf(9) structures */
static const char *const nv_attrs[] = {"mii", NULL};
CFDRIVER_DECL(nv, DV_IFNET, nv_attrs);
extern struct cfattach nv_ca;


static int pciloc[] = {-1, -1};	/* device, function */
static struct cfparent pciparent = {
	"pci", "pci", DVUNIT_ANY
};

static struct cfdata nv_cfdata[] = {
	{"nv", "nv", 0, FSTATE_STAR, pciloc, 0, &pciparent, 0},
	{0}
};

static struct cfdriver *nv_cfdrivers[] = {
	&nv_cd,
	NULL
};

static struct cfattach *nv_cfattachs[] = {
	&nv_ca,
	NULL
};

static const struct cfattachlkminit nv_cfattachinit[] = {
	{"nv", nv_cfattachs},
	{NULL}
};

int nv_lkmentry(struct lkm_table *, int, int);
MOD_DRV("nv", nv_cfdrivers, nv_cfattachinit, nv_cfdata);

int
nv_lkmentry(struct lkm_table * lkmtp, int cmd, int ver)
{
	DISPATCH(lkmtp, cmd, ver, lkm_nofunc, lkm_nofunc, lkm_nofunc);
}
